Project

General

Profile

Actions

action #38963

closed

[functional][y][fast] qemu backend rewrite: upgrade not possible anymore in many scenarios

Added by dimstar over 5 years ago. Updated about 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
Bugs in existing tests
Target version:
SUSE QA - Milestone 18
Start date:
2018-11-09
Due date:
% Done:

100%

Estimated time:
(Total: 3.00 h)
Difficulty:

Description

Observation

openQA test in scenario opensuse-Tumbleweed-NET-x86_64-zdup-13.1-gnome@64bit fails in
yast2_bootloader

Reproducible

Fails since (at least) Build 20180727

Expected result

Last good: 20180726 (or more recent)

Further details

Always latest result in this scenario: latest

The rewrite of the qemu backend has changed various settings, and apparently also how the disks are attached/addressed.

In case of upgrades from 13.1 to Tumbleweed, the disk is no longer seen as an updatable disk (or in case of zdup, as the drive configured for the bootloader)

Potentially we can fixup the 13.1 base hdd to have valid fstab entries that might work post upgrade


Subtasks 1 (0 open1 closed)

action #43622: [migration] test fails in boot_to_desktop when migrating from sle11sp4 to sles 15sp1Resolvedleli2018-11-09

Actions

Related issues 1 (0 open1 closed)

Related to openQA Project - action #38813: Qemu backend rewrite falloutResolvedrpalethorpe2018-07-25

Actions
Actions

Also available in: Atom PDF